Arduino

Reference Language | Libraries | Comparison | Changes

SPI

## setBitOrder()

#### Description

Sets the order of the bits shifted out of and into the SPI bus, either LSBFIRST (least-significant bit first) or MSBFIRST (most-significant bit first).

#### Syntax

SPI.setBitOrder(order)

#### Parameters

order: either LSBFIRST or MSBFIRST

#### Returns

None

#### See also

- setDataMode()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes